<?php
include("kurs/datenbankanbindung.php"); // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php

$uid1=$_GET["uid1"];
$saaid=$_GET["stelle"];

$db = dbconnect();
$res_ansp = $db->query("SELECT wert1 name, wert2 mail FROM parameter WHERE pid='6'");
$row_ansp = $res_ansp->fetch_array();

$res_kontakt = $db->query("SELECT wert1 tel, wert2 fax FROM parameter WHERE pid='5'");
$row_kontakt = $res_kontakt->fetch_array();

define('FPDF_FONTPATH','../../stud/prints/font/');
require('../../stud/prints/as_utf_class.php');
require_once("../../stud/prints/table_def.inc");

$pdf=new utfFPDF();


$pagecount = $pdf->setSourceFile("briefkopf_blanko.pdf");

$tplidx = $pdf->ImportPage(1);

$pdf->SetAutoPageBreak(true, 20);
$pdf->SetTopMargin(0);
$pdf->SetRightMargin(20);
$pdf->SetAutoPageBreak(TRUE, 0);



$pdf->addPage();
$pdf->useTemplate($tplidx,0,0,0);


$heute_format = date("d.m.Y", mktime(0, 0, 0, date("m"), date("d"), date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich

$pdf->SetFont('Times', '', 10);
$pdf->SetY(56.7);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Ludwigsburg,", 0, 'L');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(56.7);
$pdf->SetX(136.1);
$pdf->MultiCell(47, 3, "$heute_format", 0, 'R');


$pdf->SetFont('Times', '', 10);
$pdf->SetY(60.9);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Bearbeiterin", 0, 'L');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(60.9);
$pdf->SetX(136.1);
$pdf->MultiCell(47, 3, "$row_ansp[name]", 0, 'R');


$pdf->SetFont('Times', '', 10);
$pdf->SetY(65.1);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Telefon", 0, 'L');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(65.1);
$pdf->SetX(136.1);
$pdf->MultiCell(47, 3, "$row_kontakt[tel]", 0, 'R');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(69.3);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "Fax", 0, 'L');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(69.3);
$pdf->SetX(136.1);
$pdf->MultiCell(47, 3, "$row_kontakt[fax]", 0, 'R');


$pdf->SetFont('Times', '', 10);
$pdf->SetY(73.5);
$pdf->SetX(117.9);
$pdf->MultiCell(47, 3, "e-mail", 0, 'L');

$pdf->SetFont('Times', '', 10);
$pdf->SetY(73.5);
$pdf->SetX(136.1);
$pdf->MultiCell(47, 3, "$row_kontakt[fax]", 0, 'R');

$db = dbconnect();

$res_prx = $db->query("SELECT t1.bezeichnung art_bez, t1.ansprechpartner, t2.bezeichnung, str, plz, ort, DATE_FORMAT(beginn, '%d.%m.%Y') beginn, DATE_FORMAT(ende, '%d.%m.%Y') ende 
                          FROM stan_antrag t1, stan_stellenbereiche t2
                         WHERE t1.sachbereich = t2.sbid
                           AND saaid='$saaid'");
$row_prx = $res_prx->fetch_array();

$pdf->SetFont('Times', '', 12);
$pdf->SetY(59.5);
$pdf->SetX(23);
if ($row_prx[ansprechpartner] == ''){
  $pdf->MultiCell(0, 4, "$row_prx[art_bez]",  0, 'L');
}else{
  $pdf->MultiCell(0, 4, "$row_prx[art_bez]\nz. Hd. von $row_prx[ansprechpartner]",  0, 'L');
}


$pos=$pdf->GetY();
$pdf->SetFont('Times', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4, "$row_prx[str]", 0, 'L');


$pdf->SetFont('Times', 'B', 12);
$pdf->SetY(73.5);
$pdf->SetX(23);
$pdf->Cell(0, 3, "$row_prx[plz] $row_prx[ort]", 0, 0, 'L');

$db = dbconnect();

$res = $db->query("SELECT mtknr, nachname, vorname, postrasse, poort, poplz, Jahrgang, stg FROM stud WHERE uid='$uid1'");
$row = $res->fetch_array();



$pdf->SetFont('Times', 'B', 12);
$pdf->SetY(103.5);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Änderung der Zuweisung im Praxisjahr von $row[vorname] $row[nachname]", 0, 'L');

$pdf->SetFont('Times', '', 12);
$pdf->SetY(125);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Sehr geehrte Damen und Herren,\n\ndie Zuweisung von Frau/Herrn $row[nachname] hat sich gemäß ihrem/seinem Änderungsantrag wie folgt geändert:", 0, 'J');

$pos = $pdf->GetY()+3;

$pdf->SetFont('Times', 'U', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Geänderte Zuweisung", 0, 'L');

$res_aend = $db->query("SELECT aendid	
                          FROM stan_antrag
                         WHERE saaid='$saaid'");
$row_aend = $res_aend->fetch_array();   
   
$res_max = $db->query("SELECT max(saaid) saaid	
                          FROM stan_antrag t1, stan_stellenbereiche t2
                         WHERE t1.sachbereich = t2.sbid
                           AND aendid='$row_aend[aendid]'");
$row_max = $res_max->fetch_array();


$res_prx = $db->query("SELECT t1.bezeichnung art_bez, t2.bezeichnung, str, plz, ort, DATE_FORMAT(beginn, '%d.%m.%Y') beginn, DATE_FORMAT(ende, '%d.%m.%Y') ende 
                          FROM stan_antrag t1, stan_stellenbereiche t2
                         WHERE t1.sachbereich = t2.sbid
                           AND saaid='$row_max[saaid]'");
$row_prx = $res_prx->fetch_array();

$pos = $pdf->GetY()+5;

$columns = 3; //five columns

#$pdf->SetX(30);
$pdf->SetY($pos);
	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 40;
	$header_type[1]['WIDTH'] = 63.5;
	$header_type[2]['WIDTH'] = 63.5;

	
	$header_type[0]['TEXT'] = "Zeitraum";
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	$header_type[2]['TEXT'] = "Sachbereich";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	

		


/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/

			$data[0]['TEXT'] = "$row_prx[beginn] - $row_prx[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$row_prx[art_bez] in $row_prx[ort]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row_prx[bezeichnung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			


		$pdf->Draw_Data($data);
	

	$pdf->Draw_Table_Border();
/*
$pos=$pdf->GetY()+3;
$pdf->SetFont('Times', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Beiliegende Anlagen sind Bestandteil dieses Bescheides.\n\nDiese Zuweisungen erfolgen unter dem Vorbehalt, dass Sie die Zwischenprüfung bei erstmaliger Ablegung bestehen (§ 31 (5) und (6) APrOVw gD).", 0, 'J');


$pos=$pdf->GetY()+10;
$pdf->SetFont('Times', 'BU', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Rechtsbehelfsbelehrung", 0, 'C');

$pos=$pdf->GetY()+5;
$pdf->SetFont('Times', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Gegen diesen Bescheid können Sie innerhalb eines Monats schriftlich oder zur Niederschrift bei der Fachhochschule Ludwigsburg, Hochschule für öffentliche Verwaltung und Finanzen, Reuteallee 36, 71634 Ludwigsburg, Widerspruch einlegen.\n\nMit freundlichen Grüßen\n\n\n\n\n$row_ansp[name]", 0, 'J');
$result_tmp1 = $db->query("DELETE FROM stan_tmp_zuweis_adm WHERE uid='$uid1'");
*/

$pos=$pdf->GetY()+3;
$pdf->SetFont('Times', '', 12);
$pdf->SetY($pos);
$pdf->SetX(23);
$pdf->MultiCell(0, 4.5, "Wir bedanken uns ausdrücklich dafür, dass Sie eine Ausbildungsstelle im Rahmen des Praxisjahres zur Verfügung gestellt haben und hoffen auf Ihre Bereitschaft, auch künftig an der praktischen Ausbildung im gehobenen Verwaltungsdienst mitzuwirken.\n\n\nMit freundlichen Grüßen\n\n\n\n\$row_ansp[name]", 0, 'J');






$pdf->Output("$uid1-Aenderung_Stelle_$saaid.pdf","D");
$pdf->closeParsers();
?>